{% extends "base.html" %}
{% block title %}Piece Of News{% endblock %}

{% block body %}
<div class="container mt">
{% if post|length > 0 %}
    {% for el in post %}
        {% if el.type == 's4' %}
        <div class="line">
        <div class="text">
            <h1 class="p">{{ el.title }}</h1>
            <p class="p">Дата: {{ el.timestamp.date() }}</p>
            <img class='img' src="{{el.id}}" alt="Тут должна быть картинка">
            <pre class="m txt p">{{ el.body }}</pre>
            <a href="/posts/{{ el.id }}" class="btn-a m-1">Детальнее</a>
        </div>
    </div>
        {% endif %}
    {% endfor %}
{% else %}
    <h3>У нас еще нет статей на эту тему <a href="{{url_for('create_post')}}">Станьте первым</a></h3>
{% endif %}
</div>

{% endblock body %}